# Uses of Class
javafx.scene.image.Image

Packages that use Image
Package
Description
javafx.embed.swing
Provides the set of classes to use JavaFX inside Swing applications.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.effect
Provides the set of classes for attaching graphical filter effects to JavaFX Scene Graph Nodes.
javafx.scene.image
Provides the set of classes for loading and displaying images.
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.
javafx.scene.layout
Provides classes to support user interface layout.
javafx.scene.paint
Provides the set of classes for colors and gradients used to fill shapes and backgrounds when rendering the scene graph.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of Image in javafx.embed.swing

Methods in javafx.embed.swing with parameters of type Image
Modifier and Type
Method
Description
`static BufferedImage`
SwingFXUtils.`fromFXImage(Image img, BufferedImage bimg)`
Snapshots the specified JavaFX `Image` object and stores a copy of its pixels into a `BufferedImage` object, creating a new object if needed.

## Uses of Image in javafx.scene

Methods in javafx.scene that return Image
Modifier and Type
Method
Description
`final Image`
ImageCursor.`getImage()`
Gets the value of the `image` property.
Methods in javafx.scene that return types with arguments of type Image
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<Image>`
ImageCursor.`imageProperty()`
The image to display when the cursor is active.
Methods in javafx.scene with parameters of type Image
Modifier and Type
Method
Description
`static ImageCursor`
ImageCursor.`chooseBestCursor(Image[] images, double hotspotX, double hotspotY)`
Creates a custom image cursor from one of the specified images.
Constructors in javafx.scene with parameters of type Image
Modifier
Constructor
Description
``
`ImageCursor(Image image)`
Constructs an `ImageCursor` from the specified image.
``
`ImageCursor(Image image, double hotspotX, double hotspotY)`
Constructs an `ImageCursor` from the specified image and hotspot coordinates.

## Uses of Image in javafx.scene.canvas

Methods in javafx.scene.canvas with parameters of type Image
Modifier and Type
Method
Description
`void`
GraphicsContext.`drawImage(Image img, double x, double y)`
Draws an image at the given x, y position using the width and height of the given image.
`void`
GraphicsContext.`drawImage(Image img, double x, double y, double w, double h)`
Draws an image into the given destination rectangle of the canvas.
`void`
GraphicsContext.`drawImage(Image img, double sx, double sy, double sw, double sh, double dx, double dy, double dw, double dh)`
Draws the specified source rectangle of the given image to the given destination rectangle of the Canvas.

## Uses of Image in javafx.scene.effect

Methods in javafx.scene.effect that return Image
Modifier and Type
Method
Description
`final Image`
ImageInput.`getSource()`
Gets the value of the `source` property.
Methods in javafx.scene.effect that return types with arguments of type Image
Modifier and Type
Method
Description
`final ObjectProperty<Image>`
ImageInput.`sourceProperty()`
The source `Image`.
Methods in javafx.scene.effect with parameters of type Image
Modifier and Type
Method
Description
`final void`
ImageInput.`setSource(Image value)`
Sets the value of the `source` property.
Constructors in javafx.scene.effect with parameters of type Image
Modifier
Constructor
Description
``
`ImageInput(Image source)`
Creates a new instance of ImageInput with the specified source.
``
`ImageInput(Image source, double x, double y)`
Creates a new instance of ImageInput with the specified source, x and y.

## Uses of Image in javafx.scene.image

Subclasses of Image in javafx.scene.image
Modifier and Type
Class
Description
`class`
`WritableImage`
The `WritableImage` class represents a custom graphical image that is constructed from pixels supplied by the application, and possibly from `PixelReader` objects from any number of sources, including images read from a file or URL.
Methods in javafx.scene.image that return Image
Modifier and Type
Method
Description
`final Image`
ImageView.`getImage()`
Gets the value of the `image` property.
Methods in javafx.scene.image that return types with arguments of type Image
Modifier and Type
Method
Description
`final ObjectProperty<Image>`
ImageView.`imageProperty()`
The `Image` to be painted by this `ImageView`.
Methods in javafx.scene.image with parameters of type Image
Modifier and Type
Method
Description
`final void`
ImageView.`setImage(Image value)`
Sets the value of the `image` property.
Constructors in javafx.scene.image with parameters of type Image
Modifier
Constructor
Description
``
`ImageView(Image image)`
Allocates a new ImageView object using the given image.

## Uses of Image in javafx.scene.input

Methods in javafx.scene.input that return Image
Modifier and Type
Method
Description
`Image`
Dragboard.`getDragView()`
Gets the image used as a drag view.
`final Image`
Clipboard.`getImage()`
Gets the Image from the clipboard which had previously been registered.
`final Image`
ClipboardContent.`getImage()`
Gets the Image from the `ClipboardContent` which had previously been put.
Methods in javafx.scene.input with parameters of type Image
Modifier and Type
Method
Description
`final boolean`
ClipboardContent.`putImage(Image i)`
Puts an Image into the `ClipboardContent`.
`void`
Dragboard.`setDragView(Image image)`
Sets the visual representation of data being transfered in a drag and drop gesture.
`void`
Dragboard.`setDragView(Image image, double offsetX, double offsetY)`
Sets the visual representation of data being transfered in a drag and drop gesture.

## Uses of Image in javafx.scene.layout

Methods in javafx.scene.layout that return Image
Modifier and Type
Method
Description
`final Image`
BackgroundImage.`getImage()`
The image to be used.
`final Image`
BorderImage.`getImage()`
The image to be used.
Constructors in javafx.scene.layout with parameters of type Image
Modifier
Constructor
Description
``
`BackgroundImage(Image image, BackgroundRepeat repeatX, BackgroundRepeat repeatY, BackgroundPosition position, BackgroundSize size)`
Creates a new BackgroundImage.
``
`BorderImage(Image image, BorderWidths widths, Insets insets, BorderWidths slices, boolean filled, BorderRepeat repeatX, BorderRepeat repeatY)`
Creates a new BorderImage.

## Uses of Image in javafx.scene.paint

Methods in javafx.scene.paint that return Image
Modifier and Type
Method
Description
`final Image`
PhongMaterial.`getBumpMap()`
Gets the value of the `bumpMap` property.
`final Image`
PhongMaterial.`getDiffuseMap()`
Gets the value of the `diffuseMap` property.
`final Image`
ImagePattern.`getImage()`
Gets the image to be used as a paint.
`final Image`
PhongMaterial.`getSelfIlluminationMap()`
Gets the value of the `selfIlluminationMap` property.
`final Image`
PhongMaterial.`getSpecularMap()`
Gets the value of the `specularMap` property.
Methods in javafx.scene.paint that return types with arguments of type Image
Modifier and Type
Method
Description
`final ObjectProperty<Image>`
PhongMaterial.`bumpMapProperty()`
The bump map of this `PhongMaterial`, which is a normal map stored as a RGB `Image`.
`final ObjectProperty<Image>`
PhongMaterial.`diffuseMapProperty()`
The diffuse map of this `PhongMaterial`.
`final ObjectProperty<Image>`
PhongMaterial.`selfIlluminationMapProperty()`
The self illumination map of this `PhongMaterial`.
`final ObjectProperty<Image>`
PhongMaterial.`specularMapProperty()`
The specular map of this `PhongMaterial`.
Methods in javafx.scene.paint with parameters of type Image
Modifier and Type
Method
Description
`final void`
PhongMaterial.`setBumpMap(Image value)`
Sets the value of the `bumpMap` property.
`final void`
PhongMaterial.`setDiffuseMap(Image value)`
Sets the value of the `diffuseMap` property.
`final void`
PhongMaterial.`setSelfIlluminationMap(Image value)`
Sets the value of the `selfIlluminationMap` property.
`final void`
PhongMaterial.`setSpecularMap(Image value)`
Sets the value of the `specularMap` property.
Constructors in javafx.scene.paint with parameters of type Image
Modifier
Constructor
Description
``
`ImagePattern(Image image)`
Creates a new instance of ImagePattern from the specified image.
``
`ImagePattern(Image image, double x, double y, double width, double height, boolean proportional)`
Creates a new instance of ImagePattern.
``
`PhongMaterial(Color diffuseColor, Image diffuseMap, Image specularMap, Image bumpMap, Image selfIlluminationMap)`
Creates a new instance of `PhongMaterial` class using the specified colors and images for its `diffuseColor` properties.

## Uses of Image in javafx.stage

Methods in javafx.stage that return types with arguments of type Image
Modifier and Type
Method
Description
`final ObservableList<Image>`
Stage.`getIcons()`
Gets the icon images to be used in the window decorations and when minimized.